﻿@model IPagedList<FunXgame.Models.Producto>
@using PagedList.Mvc;
@using PagedList;
@{
    ViewBag.Title = "Home Page";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class=" container jumbotron p-0 margen-body " style="height:200px">
    <img  src="~/Content/Assets/Imagenes/BANNER 8.png" style="width:100%; height:100%"/>
</div>

<div>
    @foreach (var marca in ViewBag.Marca)
    {
                @*if (marca.Producto.Count > 0)
                {
                    <h5>@marca.Nombre_marca</h5>
                }*@
        
    <div class="row" style="margin-bottom:20px">

        @foreach (var item in Model)
        {
            int contador = 0;
            if (item.Marca.Nombre_marca == marca.Nombre_marca)
            {
                foreach (var marcat in ViewBag.Marca_categoria)
                {
                    if (item.Id_categoria == marcat.Id_categoria && item.Id_categoria == marcat.Id_categoria && item.Id_marca == marcat.Id_marca)
                    {
                        if (marcat.Id_estado == 1 && contador <= 0)
                        {
                            contador++;
                            int id = item.Id_producto;
                            <div class="col-4 d-flex align-items-stretch">
                                <div class="card tarjetas" style="width:16rem; margin-right:auto; margin-left:auto" id="@id">
                                    @*En href usar id para ir a los detalles del producto*@
                                    <a class="text-decoration-none ancla" href="#">
                                        @{
                                            string imgId = "img" + id;
                                            string nomProd = "titulo" + id;
                                            string descProd = "descripcion" + id;
                                        }
                                        <h5 class="card-title texto-titulo-tarjetas" style="margin-top:10px; margin-left:10px" id=@nomProd>@Html.DisplayFor(modelItem => item.Nombre_producto)</h5>

                                        <img class="card-img-top" src="@Url.Content(item.Imagen.Ruta)" alt="Card image cap" style="width:100%; height:10vw; object-fit:cover" id="@imgId" />

                                        <p hidden id=@descProd> @Html.DisplayFor(modelItem => item.Descripcion_producto)</p>

                                        <div class="card-footer">
                                            @{
                                                int precio = (int)item.Precio_producto;
                                            }
                                            <h4 class="card-title texto-precio-tarjetas" style="margin-bottom:10%">@precio.ToString("C")</h4>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        }
                    }
                }

            }
        }
    </div>
    }
</div>


<ul class="pagination">
    @Html.PagedListPager(Model, i => Url.Action("Index", "Home", new { i, pageSize = Model.PageSize }))
</ul>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/sweetalert.js"></script>

    <script>
        $(document).ready(function () {
            $(".card").click(function () {
                var id = $(this).attr("id");
                let imgId = '#img' + id;
                let nomId = '#titulo' + id;
                let desc = '#descripcion' + id;

                let ruta = $(imgId).attr('src');
                let nombreProd = $(nomId).text();
                let descProd = $(desc).text();

                var myImage = new Image();
                myImage.src = ruta;


                console.log(id + " " + ruta);
                swal({
                    icon: ruta,
                    title: nombreProd,
                    html: 'First line<br>Second line',
                    text: descProd,
                    
                });
            })
        });
    </script>

}